Subject: Re: bug#25705: [PATCH] gnu: python-matplotlib: Don't propagate python-numpy-bootstrap.

From: Marius Bakke <[email-masked]>
Date: Tue, 14 Feb 2017 15:51:44 +0100

Thomas Danckaert <[email-masked]> writes:

> From: Marius Bakke <[email-masked]>
> Subject: Re: bug#25705: [PATCH] gnu: python-matplotlib: Don't 
> propagate python-numpy-bootstrap.
> Date: Mon, 13 Feb 2017 21:48:09 +0100
>
>> Hi Thomas,
>>
>> Thanks for the reminder. I'm not comfortable pushing this while we 
>> don't
>> notice python test failures[0], but will add this as soon as the
>> 'python-tests' branch is merged.
>
> Yes, I thought that had something to do with it.
>
> By the way, as another solution, we could create a separate 
> python-numpy-documentation package (not to be confused with 
> python-numpydoc, which is something different...), instead of a 
> python-numpy:doc output.  This way, we could end up with a much 
> simpler dependency graph, which doesn't require any bootstrap 
> packages:
>
> python-numpy <- python-matplotlib <- python-numpy-documentation
>
> But I suppose the preference in guix is to work with multiple outputs?

That depends. I tried updating scipy, numpy and matplotlib recently, but
ran into a circular dependency (can't remember which). Something like
this might help.

I think we should do a 'python-updates' branch as soon as 'python-tests'
is ready, where we can address this problem. Would you like to try
updating the trio and resolving the dependency conflict? :-)